Sales
Authorization
bearerAuth AuthorizationBearer <token>
API key sent as Authorization: Bearer <API_KEY>.
In: header
Path Parameters
id*string
The unique ID of the sale to be updated.
Request Body
application/json
status?string
Status of the sale.
date_sale?string
Date when the sale occurred.
Format
dateuser?string
ID of the user associated with the sale.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.getventia.com/api/v1.0/sales/string" \ -H "Content-Type: application/json" \ -d '{ "status": "sold", "date_sale": "2024-01-01", "user": "60d0fe4f5311236168a109ca" }'{
"_id": "string",
"user": "string",
"user_string": "string",
"status": "string",
"date_sale": "2019-08-24",
"sold": true
}{
"error": "Invalid sale ID format"
}{
"error": "Invalid API KEY Group"
}{
"error": "Sale is locked"
}{
"error": "Sale not found"
}{
"error": "Internal server error"
}